<?php
header('Content-Type: text/html; charset=iso-8859-1');
if(!session_id()) session_start();

include_once("config/config.inc.php");
include_once "db/dbElemento.class.php";

$db= new dbElemento;

$super = $_SESSION['authdata']['super'];

if($super){

	$sql="select * from info where estado=0 order by id desc";
	$lista_infos = $db->get($sql);
	$tam=sizeof($lista_infos);
	for($i=0; $i<$tam;$i++){
		$temp=$db->getLinha('categoria',$lista_infos[$i]['idCat']);
		$lista_infos[$i]['tipo']=$temp['tipo1'];
	}
	
	$sql="select * from noticia where estado=0 order by id desc";
	$lista_noticias = $db->get($sql);
	$tam=sizeof($lista_noticias);
	for($i=0; $i<$tam;$i++){
		$temp=$db->getLinha('categoria',$lista_noticias[$i]['idCat']);
		$lista_noticias[$i]['tipo']=$temp['tipo1'];
	}
	
	$sql="select * from pagina_imagem where estado=0 order by id desc";
	$lista_paginas = $db->get($sql);
	$tam=sizeof($lista_paginas);
	for($i=0; $i<$tam;$i++){
		$temp=$db->getLinha('categoria', $lista_paginas[$i]['idCat']);
		$lista_paginas[$i]['tipo']=$temp['tipo1'];
		$lista_paginas[$i]['categoria']=$temp['categoria'];
	}
}

?>
<script type="text/javascript">
$(document).ready(function(){
	
	$("#message p a").click(function() {  	
			loadMain(this);
		return false;
	});
});
</script>
<br/><br/><br/><br/>
<div id="message">
	<div class="mybg">back manager</div>
	<? if ($super){?>
<!--		<h1>Conteúdos por aprovar</h1>-->
		
		<? if($lista_infos){
		 	echo "<h1 style='margin-bottom:15px'>Infos por aprovar</h1>";
			foreach ($lista_infos as $linha)
				echo "<p><a href=\"?tipo=".$linha['tipo']."&idCat=".$linha['idCat']."&id=".$linha['id']."&cmd=editar\">".$linha['titulo']."(".$linha['permalink'].") ".$linha['sys_data']."</a></p>";
		  }
		  if($lista_noticias){  
		  	echo "<h1 style='margin-bottom:15px'>Notícias por aprovar</h1>";
		  	foreach ($lista_noticias as $linha)
				echo  "<p><a href=\"?tipo=".$linha['tipo']."&idCat=".$linha['idCat']."&id=".$linha['id']."&cmd=editar\">".$linha['titulo']."(".$linha['permalink'].") ".$linha['sys_data']."</a></p>";
			
		  }
		  if($lista_paginas){
		  	echo "<h1 style='margin-bottom:15px'>Páginas por aprovar</h1>";
		  	foreach ($lista_paginas as $linha)
				echo  "<p><a href=\"?tipo=".$linha['tipo']."&idCat=".$linha['idCat']."&id=".$linha['id']."&cmd=editar\">".$linha['categoria']." ".$linha['sys_data']."</a></p>";
		  }

		  if(!$lista_infos && !$lista_noticias && !$lista_paginas)
		  	echo "Não existem conteúdos por aprovar.";
		?>
<?} else {?>
		<h2>Bem vindo à</h2>
		<h1>Administração do site - Nome Site - </h1>
		<br/>
		<p>Para inserir conteúdos, escolha conteúdos do menu à esquerda.<br>
			Antes de usar imagens e ficheiros nos editores, deve inseri-las nas secções imagens e ficheiros.
		</p>
		<br/>
	<p><br/></p>
<? } ?>
</div>